> For the complete documentation index, see [llms.txt](https://docs.hackle.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hackle.io/data/example/insight-example.md).

# 인사이트 분석 사용 예시

지표 추이와 사용자 행동을 분석하는 예시입니다.

인사이트 차트에서 확인할 수 있는 대표 분석 예시입니다.

### 제품 사용성 관련

* **최근 우리 서비스의 DAU/WAU/MAU를 확인하고 싶다면?**
  * Unique User를 기준으로 `Any Event`를 발생시킨 데이터를 조회합니다.
* **사용자가 이용하는 OS별 점유율과 세부 현황을 한눈에 보고 싶다면?**
  * 사용자 이벤트 속성에서 OS name, OS type을 선택해 조회합니다.
* **우리 서비스를 사용하는 유저의 지역, 기기, 성별, 나이 분포를 보고 싶다면?**
  * 사용자 이벤트 속성에서 Gender, Device Type, Age를 선택해 조회합니다.
* **지난 한 달간 새로 생성된 프로젝트 수와 회원가입자 수를 확인하고 싶다면?**
  * 회원가입 완료 이벤트를 선택하고 기간을 30일로 설정합니다.

### 제품 유입 관련

* **제품 방문 수와 방문자 수를 확인하고 싶다면?**

분석 항목의 첫 번째 값은 **횟수**로 설정합니다. 분석 항목을 추가한 뒤, 두 번째 값은 **사용자 수**로 설정합니다.

![방문 수와 방문자 수 설정](https://2738466581-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FLHRZjjknm5KdNgPtDsbl%2Fuploads%2Fgit-blob-132f9c9e64614280c2bab6af8b4ffd6a6c234528%2F3c84475-uv_pv_f3754e9ddbdbc287.gif?alt=media)

* **마케팅 채널별 제품 유입 경로를 확인하고 싶다면?**
  * 원하는 이벤트를 분석 항목으로 설정합니다. 나눠보기에서 `utm_source`, `utm_medium`, `utm_resource` 같은 마케팅 추적 속성을 선택합니다.
* **iOS와 Android 사용자를 비교하고 싶다면?**
  * 사용자 그룹에 `osName > iPhone`과 `osName > Android`를 각각 설정합니다.
  * 가로 막대 차트로 변경하면 그룹별 데이터를 쉽게 비교할 수 있습니다.

### 결제·매출 관련

* **결제 전환율을 보고 싶다면?**
  * 홈페이지 방문에서 구매로 전환한 사례를 설정합니다. PV 기준은 **횟수**를, UV 기준은 **사용자 수**를 선택합니다.
  * 전환의 분자와 분모에 알맞은 이벤트를 각각 선택합니다.
* **주문 수와 매출을 동시에 확인하고 싶다면?**

구매 완료 이벤트를 선택합니다. 첫 번째 분석 항목은 **횟수**로 설정합니다. 분석 항목을 추가한 뒤, 두 번째 값은 **총합**으로 설정합니다.

![주문 수와 매출 설정](https://2738466581-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FLHRZjjknm5KdNgPtDsbl%2Fuploads%2Fgit-blob-8bacd7fbcc346213cfc6e6589cbcf6a53639a947%2Fcd4e581-order__revenue_09175f955454f6d7.gif?alt=media)

* **특정 지역 사용자를 비교하고 싶다면?**
  * 사용자 그룹에 `Location > Seoul`과 `Location > Gyungi`를 각각 설정합니다.
  * 가로 막대 차트로 변경하면 그룹별 데이터를 쉽게 비교할 수 있습니다.
* **매출 상위 상품이나 카테고리를 확인하고 싶다면?**
  * 나눠보기에서 상품 또는 카테고리 속성을 선택합니다. 파이 차트는 전체 기간 합산 비중을 확인하기 좋습니다.
  * **횟수**는 주문 수, **사용자 수**는 주문자 수, **총합**은 매출을 보여줍니다.
  * 총합은 주문 금액 속성인 `value` 또는 `order_amount`를 선택합니다.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hackle.io/data/example/insight-example.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
